ellipse.secr {secr} | R Documentation

## Confidence Ellipses

### Description

Plot joint confidence ellipse for two parameters of secr model, or for a distribution of points.

### Usage

    ellipse.secr(object, par = c("g0", "sigma"), alpha = 0.05,
        npts = 100, plot = TRUE, linkscale = TRUE, add = FALSE,
        col = palette(), ...)

    ellipse.bvn(xy, alpha = 0.05, npts = 100, centroid = TRUE, add = FALSE, ...)

### Arguments

`object` | `secr` object output from `secr.fit`
`par` | character vector of length two, the names of two ‘beta’ parameters
`alpha` | alpha level for confidence intervals
`npts` | number of points on perimeter of ellipse
`plot` | logical for whether ellipse should be plotted
`linkscale` | logical; if FALSE then coordinates will be backtransformed from the link scale
`add` | logical to add ellipse to an existing plot
`col` | vector of one or more plotting colours
`...` | arguments to pass to plot functions (or polygon() in the case of ellipse.bvn)
`xy` | 2-column matrix of coordinates
`centroid` | logical; if TRUE the plotted ellipse is a confidence region for the centroid of points in `xy`

### Details

`ellipse.secr` calculates coordinates of a confidence ellipse from the asymptotic variance-covariance matrix of the beta parameters (coefficients), and optionally plots it.

If `linkscale` == FALSE, the inverse of the appropriate link transformation is applied to the coordinates of the ellipse, causing it to deform.

If `object` is a list of secr models then one ellipse is constructed for each model. Colours are recycled as needed.

`ellipse.bvn` plots a bivariate normal confidence ellipse for the centroid of a 2-dimensional distribution of points (default centroid = TRUE), or a Jennrich and Turner (1969) elliptical home-range model.

### Value

A list containing the x and y coordinates is returned invisibly from either function.

### References

Jennrich, R. I. and Turner, F. B. (1969) Measurement of non-circular home range. Journal of Theoretical Biology, 22, 227–237.

### Examples

    ellipse.secr(secrdemo.0)

[Package secr version 3.2.1 Index]